Extraction

List Extraction Jobs

List and filter previous Scraper API extraction jobs.

GET /v1/extract/jobs lists extraction jobs for your account. Use this endpoint when you need to find a previous async job, filter jobs by status, or page through extraction history.

Request

This example returns the first page of jobs with up to 100 jobs per page.

export SCRAPER_API_BASE_URL="https://scraper.geonode.io"
export GEONODE_SCRAPER_API_KEY="YOUR_API_KEY"

curl -X GET "$SCRAPER_API_BASE_URL/v1/extract/jobs?page=1&page_size=100" \
  -H "X-Api-Key: $GEONODE_SCRAPER_API_KEY"

Query Parameters

Use these query parameters when you need to find a specific async job or page through previous extraction jobs. If you do not pass any filters, the endpoint returns the first page of jobs for your account.

Query parameterDescription
job_idFilter by job ID.
urlFilter by target URL.
statusFilter by job status.
outputFilter by requested output format.
start_dateFilter jobs created on or after this ISO datetime.
end_dateFilter jobs created on or before this ISO datetime.
pagePage number. Default is 1.
page_sizeResults per page. Default is 100, maximum is 100.

Job Statuses

Jobs can have one of these statuses:

  • queued
  • processing
  • completed
  • failed
  • cancelled

Response

A successful request returns 200 with a paginated list of jobs.

{
  "jobs": [
    {
      "job_id": "4844831a-a222-4cac-b5e6-7e3f2dd07b48",
      "status": "completed",
      "url": "https://docs.python.org/3/library/json.html",
      "created_at": "2026-05-26T10:30:00Z",
      "execution_time": 631,
      "output": ["markdown"]
    }
  ],
  "page": 1,
  "page_size": 100,
  "page_count": 1
}

On this page